<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:43 CET 2016 -->
<title>ImportBusinessPartnerData.Builder (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ImportBusinessPartnerData.Builder (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" target="_top">Frames</a></li>
<li><a href="ImportBusinessPartnerData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner</div>
<h2 title="Class ImportBusinessPartnerData.Builder" class="title">Class ImportBusinessPartnerData.Builder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner.ImportBusinessPartnerData.Builder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">ImportBusinessPartnerData.Builder</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Class builder</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>plujan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#Builder--">Builder</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#addressLine1-java.lang.String-">addressLine1</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the addressLine1 value
 
 Description: A space to write the location of a business partner.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#addressLine2-java.lang.String-">addressLine2</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the addressLine2 value
 
 Description: A space to write the location of a business partner.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#alternativePhone-java.lang.String-">alternativePhone</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the alternativePhone value
 
 Description: A second contact telephone number for a business partner.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#birthday-java.lang.String-">birthday</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the birthday value
 
 Description: An anniversary of birth for a business partner.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#bPContactGreeting-java.lang.String-">bPContactGreeting</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the bPContactGreeting value
 
 Description: Greeting for Business Partner Contact</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#build--">build</a></span>()</code>
<div class="block">Build the data object.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#businessPartner-com.openbravo.test.integration.erp.data.selectors.BusinessPartnerSelectorData-">businessPartner</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/BusinessPartnerSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">BusinessPartnerSelectorData</a>&nbsp;value)</code>
<div class="block">Set the businessPartner value
 
 Description: Anyone who takes part in daily business operations by acting as a customer
 employee etc.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#businessPartnerCategory-java.lang.String-">businessPartnerCategory</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the businessPartnerCategory value
 
 Description: A classification of business partners based on defined similarities.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#cityName-java.lang.String-">cityName</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the cityName value
 
 Description: A populated defined area located within a larger area such as a state province
 or country.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#client-java.lang.String-">client</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the client value
 
 Description: Client for this installation.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#comments-java.lang.String-">comments</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the comments value
 
 Description: A space to write additional related information.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#contactDescription-java.lang.String-">contactDescription</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the contactDescription value
 
 Description: Description of Contact</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#contactName-java.lang.String-">contactName</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the contactName value
 
 Description: The name of the person to get in touch with.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#country-java.lang.String-">country</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the country value
 
 Description: A state or a nation.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#description-java.lang.String-">description</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the description value
 
 Description: A space to write additional related information.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#dUNS-java.lang.String-">dUNS</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the dUNS value
 
 Description: Dun Bradstreet Number</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#email-java.lang.String-">email</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the email value
 
 Description: An email address for a specified business partner.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#fax-java.lang.String-">fax</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the fax value
 
 Description: A fax number for a specified business partner.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#greeting-java.lang.String-">greeting</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the greeting value
 
 Description: A description often abbreviated of how to address a business partner.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#groupKey-java.lang.String-">groupKey</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the groupKey value
 
 Description: Business Partner Group Key</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#importErrorMessage-java.lang.String-">importErrorMessage</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the importErrorMessage value
 
 Description: A message that appears when errors occur during the importing process.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#importProcessComplete-java.lang.Boolean-">importProcessComplete</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the importProcessComplete value
 
 Description: A indication that the desired process has been completed successfully.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#iSOCountryCode-java.lang.String-">iSOCountryCode</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the iSOCountryCode value
 
 Description: The geographic country code for a country based on the ISO standard.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#nAICSSIC-java.lang.String-">nAICSSIC</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the nAICSSIC value
 
 Description: Standard Industry Code or its successor NAIC -
 http://www.osha.gov/oshstats/sicser.html</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#name-java.lang.String-">name</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the name value
 
 Description: A non-unique identifier for a record/document often used as a search tool.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#name2-java.lang.String-">name2</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the name2 value
 
 Description: Additional space to write the name of a business partner.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#organization-java.lang.String-">organization</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the organization value
 
 Description: Organizational entity within client</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#partnerAddress-java.lang.String-">partnerAddress</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the partnerAddress value
 
 Description: The location of the selected business partner.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#password-java.lang.String-">password</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the password value
 
 Description: A secret code used to allow access to a specified window or tab.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#phone-java.lang.String-">phone</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the phone value
 
 Description: A telephone number for a specified business partner.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#position-java.lang.String-">position</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the position value
 
 Description: A defined job title or ranking within a company.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#postalAdd-java.lang.String-">postalAdd</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the postalAdd value
 
 Description: Additional ZIP or Postal code</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#postalCode-java.lang.String-">postalCode</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the postalCode value
 
 Description: A identification code used to help get items to a specific location.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#processed-java.lang.Boolean-">processed</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the processed value
 
 Description: A confirmation that the associated documents or requests are processed.</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#region-java.lang.String-">region</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the region value
 
 Description: An area of a specific country.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#regionName-java.lang.String-">regionName</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the regionName value
 
 Description: The name of an area in a specific country.</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#searchKey-java.lang.String-">searchKey</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the searchKey value
 
 Description: A fast method for finding a particular record.</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#taxID-java.lang.String-">taxID</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the taxID value
 
 Description: The government defined unique number for assigning and paying taxes.</div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html#userContact-java.lang.String-">userContact</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the userContact value
 
 Description: An acquaintance to reach for information related to the business partner.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Builder--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Builder</h4>
<pre>public&nbsp;Builder()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="businessPartnerCategory-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>businessPartnerCategory</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;businessPartnerCategory(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the businessPartnerCategory value
 
 Description: A classification of business partners based on defined similarities.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The businessPartnerCategory value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="groupKey-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>groupKey</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;groupKey(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the groupKey value
 
 Description: Business Partner Group Key</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The groupKey value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="contactName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contactName</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;contactName(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the contactName value
 
 Description: The name of the person to get in touch with.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The contactName value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="businessPartner-com.openbravo.test.integration.erp.data.selectors.BusinessPartnerSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>businessPartner</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;businessPartner(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/BusinessPartnerSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">BusinessPartnerSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the businessPartner value
 
 Description: Anyone who takes part in daily business operations by acting as a customer
 employee etc.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The businessPartner value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="region-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>region</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;region(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the region value
 
 Description: An area of a specific country.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The region value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="taxID-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>taxID</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;taxID(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the taxID value
 
 Description: The government defined unique number for assigning and paying taxes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The taxID value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="fax-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fax</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;fax(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the fax value
 
 Description: A fax number for a specified business partner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The fax value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="regionName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>regionName</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;regionName(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the regionName value
 
 Description: The name of an area in a specific country.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The regionName value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="name-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;name(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the name value
 
 Description: A non-unique identifier for a record/document often used as a search tool.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The name value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="country-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>country</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;country(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the country value
 
 Description: A state or a nation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The country value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="addressLine1-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addressLine1</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;addressLine1(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the addressLine1 value
 
 Description: A space to write the location of a business partner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The addressLine1 value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="addressLine2-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addressLine2</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;addressLine2(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the addressLine2 value
 
 Description: A space to write the location of a business partner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The addressLine2 value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="contactDescription-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contactDescription</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;contactDescription(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the contactDescription value
 
 Description: Description of Contact</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The contactDescription value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="cityName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cityName</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;cityName(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the cityName value
 
 Description: A populated defined area located within a larger area such as a state province
 or country.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The cityName value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="email-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>email</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;email(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the email value
 
 Description: An email address for a specified business partner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The email value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="partnerAddress-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>partnerAddress</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;partnerAddress(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the partnerAddress value
 
 Description: The location of the selected business partner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The partnerAddress value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="organization-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>organization</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;organization(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the organization value
 
 Description: Organizational entity within client</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The organization value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="password-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>password</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;password(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the password value
 
 Description: A secret code used to allow access to a specified window or tab.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The password value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="client-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>client</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;client(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the client value
 
 Description: Client for this installation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The client value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="importErrorMessage-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>importErrorMessage</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;importErrorMessage(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the importErrorMessage value
 
 Description: A message that appears when errors occur during the importing process.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The importErrorMessage value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="importProcessComplete-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>importProcessComplete</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;importProcessComplete(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the importProcessComplete value
 
 Description: A indication that the desired process has been completed successfully.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The importProcessComplete value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="searchKey-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>searchKey</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;searchKey(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the searchKey value
 
 Description: A fast method for finding a particular record.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The searchKey value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="description-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>description</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;description(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the description value
 
 Description: A space to write additional related information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The description value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="greeting-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>greeting</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;greeting(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the greeting value
 
 Description: A description often abbreviated of how to address a business partner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The greeting value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="postalAdd-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>postalAdd</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;postalAdd(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the postalAdd value
 
 Description: Additional ZIP or Postal code</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The postalAdd value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="nAICSSIC-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nAICSSIC</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;nAICSSIC(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the nAICSSIC value
 
 Description: Standard Industry Code or its successor NAIC -
 http://www.osha.gov/oshstats/sicser.html</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The nAICSSIC value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="birthday-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>birthday</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;birthday(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the birthday value
 
 Description: An anniversary of birth for a business partner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The birthday value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="position-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>position</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;position(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the position value
 
 Description: A defined job title or ranking within a company.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The position value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="name2-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>name2</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;name2(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the name2 value
 
 Description: Additional space to write the name of a business partner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The name2 value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="postalCode-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>postalCode</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;postalCode(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the postalCode value
 
 Description: A identification code used to help get items to a specific location.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The postalCode value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="dUNS-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dUNS</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;dUNS(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the dUNS value
 
 Description: Dun Bradstreet Number</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The dUNS value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="processed-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processed</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;processed(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the processed value
 
 Description: A confirmation that the associated documents or requests are processed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The processed value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="alternativePhone-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>alternativePhone</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;alternativePhone(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the alternativePhone value
 
 Description: A second contact telephone number for a business partner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The alternativePhone value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="userContact-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>userContact</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;userContact(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the userContact value
 
 Description: An acquaintance to reach for information related to the business partner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The userContact value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="phone-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>phone</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;phone(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the phone value
 
 Description: A telephone number for a specified business partner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The phone value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="comments-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>comments</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;comments(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the comments value
 
 Description: A space to write additional related information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The comments value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="bPContactGreeting-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bPContactGreeting</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;bPContactGreeting(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the bPContactGreeting value
 
 Description: Greeting for Business Partner Contact</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The bPContactGreeting value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="iSOCountryCode-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iSOCountryCode</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData.Builder</a>&nbsp;iSOCountryCode(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the iSOCountryCode value
 
 Description: The geographic country code for a country based on the ISO standard.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The iSOCountryCode value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="build--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>build</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner">ImportBusinessPartnerData</a>&nbsp;build()</pre>
<div class="block">Build the data object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The data object</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbusinesspartner"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/data/masterdata/importdata/importbusinesspartner/ImportBusinessPartnerData.Builder.html" target="_top">Frames</a></li>
<li><a href="ImportBusinessPartnerData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
